# All Math Programs in One (AMPiO) # Version 2.0.5 # Never Jhonsen # 2019-04-20 #

# 2.0.5 Version Info
#  +  AMPiO v2.0.5
#     -  Edited line 1165 as it was a duplicate of 1164
#  +  PythTher v3.7
#     - N/A
#  +  MPG-KPL v1.5
#     -  N/A
#  +  F=MA v2.2.0
#     -  N/A
#  +  PrimeNub v2.3
#     -  N/A
#  +  Distance v2.1
#     -  N/A
#  +  QUADFORM v
#     -  N/A
#  +  Midpoint v1.1
#     -  N/A
#  +  Slope v1.3
#     -  N/A

# Plans for Future Versions
#  -  Add more Programs :P
#  -  Add in deeper error checking; only checks on Menus
#  -  Add some sort of Error Checking to PrimeNub, Distance, Midpoint, and Slope

import math, os, sys          # Importing basic functions
from termcolor import colored, cprint

def clear():                  # Defining 'clear()'
    if (os.name == 'nt'):     # If you're on Windows
        os.system('cls')      # Clear the screen with 'cls'
    else:                     # Otherwise,
        os.system('clear')    # Clear it with 'clear'
        
clear()                       # Clears the screen
# Main Menu #
cprint("========== Never Jhonsen ========== v2.0.5 C =========== 2019-04-20 ============", "cyan")
print(" ")
print(" ")
cprint("        Hello! This program contains a variety of random math programs          ", "yellow")
print(" ")
print(" ")

# Variables Used in this Program! :D
ProgramRunning = True         # When False, the Program is set to close next cycle
CountingOpenList = 0          # This chooses which program to run based on User Input
ReloadYes = {"", "y", "Y", "ye", "Ye", "YE", "yes", "Yes", "YEs", "yES", "YES"}
#ReloadNo = {"no", "n"}


while (ProgramRunning == True):
    cprint(" --- --------------------   --- --------------------   --- -------------------- ", "green")
    cprint("| 0 | Exit Program       | | 1 | Pythagorean Theorem| | 2 | MPG-KPL-MPGE       |", "green")
    cprint(" --- --------------------   --- --------------------   --- -------------------- ", "green")
    cprint("| 3 | F = M * A          | | 4 | Is it Prime?       | | 5 | Distance Form      |", "green")
    cprint(" --- --------------------   --- --------------------   --- -------------------- ", "green")
    cprint("| 6 | Quadratic Form     | | 7 | Midpoint           | | 8 | Slope              |", "green")
    cprint(" --- --------------------   --- --------------------   --- -------------------- ", "green")
    cprint("|   |                    | |   |                    | |   |                    |", "green")
    cprint(" --- --------------------   --- --------------------   --- -------------------- ", "green")
    print(" ")
    CountingOpenList = str(input("                             Enter Value | "))

    if (CountingOpenList == "0"):                         # Choice 0   :      Exit Program               #
        print(" ")
        print(" ")
        print(" ")
        print(" ")
        print(" ")
        ProgramRunning = False
    elif (CountingOpenList == "1"):                       # Choice 1   :      Pythagorean Theorem        #
        clear()
        cprint("=================================== PythTher ===================================", "cyan")
        cprint(" ")
        cprint(" ")
        cprint("   Hello! This program will help you find the third side of a Right Triangle", "yellow")
        cprint(" ")
        cprint(" ")
        
		# Variables used in this Sub-Program
        PythTherProgramRunning = True    # When False, program is set to close next cycle
        PythTherCountingOpenList = 0     # This chooses what section to run based off User Input
        HypoA = 0                        # Variable 1 for missing hypotenuse
        HypoB = 0                        # Variable 2
        HypoC = 0                        # Yes
        HypoD = 0                        # Yes
        SideA = 0                        # Yes
        SideB = 0                        # Yes
        SideC = 0                        # Yes
        SideD = 0                        # Yes
        

        while (PythTherProgramRunning == True):
            
            cprint("        ---   ---------------------                                      ", "green")
            cprint("       | 0 | | Return To Main Menu |                                     ", "green")
            cprint("        ---   ---------------------          ---   --------------------- ", "green")
            cprint("       | 1 | | Missing Hypotenuse  |        | 2 | | Missing Side        |", "green")
            cprint("        ---   ---------------------          ---   --------------------- ", "green")
            print(" ")
            print(" ")
            print(" ")
            PythTherCountingOpenList = str(input("Enter Value | "))
            
            if (PythTherCountingOpenList == "0"):         # Choice 0:       Exit Program               #
                clear()
                cprint("=" * 80, "cyan")
                print(" ")
                print(" ")
                cprint("        Hello! This program contains a variety of random math programs", "yellow")
                print(" ")
                print(" ")
                PythTherProgramRunning = False
            elif (PythTherCountingOpenList == "1"):       # Choice 1:       Missing Hypotenuse         #
                clear()
                cprint("==================================== PythTher ==================================", "cyan")
                print(" ")
                cprint("                           ---    -------------------- ", "green")
                cprint("                          | 1 |  | Missing Hypotenuse |", "green")
                cprint("                           ---    -------------------- ", "green")
                print(" ")
                HypoA = int(input("                   Please enter the first side | "))
                print(" ")
                HypoB = int(input("                   Now enter your second side  | "))
                HypoC = math.pow(HypoA,2) + math.pow(HypoB,2)
                HypoD = math.sqrt(HypoC)
                print(" ")
                cprint("                                     --------------------", "green")
                cprint("                   The missing side | {}" .format(HypoD), "magenta")
                cprint("                                     --------------------", "green")
                print(" ")
                print(" ")
                print(" ")
                PythTherReloadProgram = input("  Do you want to calculate another triangle? Y/n | ").lower()
                if PythTherReloadProgram in ReloadYes:
                    clear()
                    cprint("=================================== PythTher ===================================", "cyan")
                    print(" ")
                    print(" ")
                    cprint("   Hello! This program will help you find the third side of a Right Triangle", "yellow")
                    print(" ")
                    print(" ")
                else:
                    PythTherProgramRunning = False
                    PythTherMainMenu = input("      Do you wish to return to the main Menu Y/n | ").lower()
                    if PythTherMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        cprint("=" * 80, "cyan")
                        print(" ")
                        print(" ")
                        cprint("        Hello! This program contains a variety of random math programs", "yellow")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
            elif (PythTherCountingOpenList == "2"):       # Choice 2:       Missing Side               #
                clear()
                cprint("==================================== PythTher ==================================", "cyan")
                print(" ")
                cprint("                           ---    -------------------- ", "green")
                cprint("                          | 1 |  | Missing Side       |", "green")
                cprint("                           ---    -------------------- ", "green")
                print(" ")
                SideA = int(input("                   Please enter your side     | "))
                print(" ")
                SideB = int(input("                   Now enter the hypotenuse   | "))
                SideC = math.pow(SideB,2) - math.pow(SideA,2)
                SideD = math.sqrt(SideC)
                print(" ")
                print("                                     --------------------")
                cprint("                   The missing side | {}" .format(SideD), "magenta")
                print("                                     --------------------")
                print(" ")
                print(" ")
                print(" ")
                PythTherReloadProgram = input("  Do you want to calculate another triangle? Y/n | ").lower()
                if PythTherReloadProgram in ReloadYes:
                    clear()
                    cprint("=================================== PythTher ===================================", "cyan")
                    print(" ")
                    print(" ")
                    cprint("   Hello! This program will help you find the third side of a Right Triangle", "yellow")
                    print(" ")
                    print(" ")
                else:
                    PythTherProgramRunning = False
                    PythTherMainMenu = input("      Do you wish to return to the main Menu Y/n | ").lower()
                    if PythTherMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        cprint("=" * 80, "cyan")
                        print(" ")
                        print(" ")
                        cprint("        Hello! This program contains a variety of random math programs", "yellow")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        cprint("=" * 80, "cyan")
            else:                                         # Choice ""  :      ERROR: If all else fails   #
                clear()
                cprint("==================================== PythTher ==================================", "cyan")
                print(" ")
                cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
                cprint("     !     You entered a wrong number. Please enter a listed number      !      ", "red")
                cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
                print(" ")
    elif (CountingOpenList == "2"):                       # Choice 2   :      MPG to KPL and back again  #
        clear()
        cprint("================================[ MPG to KPL ]==================================", "cyan")
        print(" ")
        print(" ")
        cprint("    Hello! This program will convert MPG into KPL, and back again", "yellow")
        print(" ")
        print(" ")

        #  Time for variable defining!
        MPGKPLProgramRunning = True      # When False, program will close
        MPGKPLCountingOpenList = 0       # Variable for what the User chooses

        #  And now to ask the user for his choice
        #  Using 'MPGKPLCountingOpenList', each user prompt will take the integer of what the user inputs.
        #    Yes, int isn't really the best thing here, but maybe in a later version that'll change
        #  /Description of how input works/

        while (MPGKPLProgramRunning == 1):                # While 'e' is true, and . ..

            cprint("       ---    -----------------------                                          ", "green")
            cprint("      | 0 |  | RETURN TO MAIN MENU   |                                         ", "green")
            cprint("       ---    -----------------------       ---    -----------------------     ", "green")
            cprint("      | 1 |  | MPG (US) to KPL       |     | 4 |  | KPL to MPG (US)       |    ", "green")
            cprint("       ---    -----------------------       ---    -----------------------     ", "green")
            cprint("      | 2 |  | KPL to MPG (EUR)      |     | 5 |  | MPG (EUR) to KPL      |    ", "green")
            cprint("       ---    -----------------------       ---    -----------------------     ", "green")
            cprint("      | 3 |  | MPG (US) to MPG (EUR) |     | 6 |  | MPG (EUR) to MPG (US) |    ", "green")
            cprint("       ---    -----------------------       ---    -----------------------     ", "green")
            print(" ")
            print(" ")
            MPGKPLCountingOpenList = str(input(" Enter your first choice here < "))

            if (MPGKPLCountingOpenList == "0"):           # If the user puts a Zero
                clear()
                cprint("=" * 80, "cyan")
                print(" ")
                print(" ")
                cprint("        Hello! This program contains a variety of random math programs", "yellow")
                print(" ")
                print(" ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program 
            elif (MPGKPLCountingOpenList == "1"):         # If the user puts a 1

                clear()       # Clear the screen, of course
        
                # Little bita TUI here
                cprint("================================[ MPGU >> KPL  ]================================", "cyan")
                print(" ")
                print(" ")
                cprint("    So now we're gonna change Miles Per Gallon (US) into Kilometers per Liter.", "cyan")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is thatwe needta change MPG (US) into KPL. In order to do that,
                #    we multiply MPG (US) by 0.4251, and that should get us our total. Now, we can't just
                #    be usin' Integers like we were with the user inputs eariler, because the user may
                #    want a precise answer, so this time, we're gonna use Floats.
        
                # Askin' the user for their Miles per Gallon
                mpgu = float(input("  Enter your MPGU here < "))
                # Converting MPG (US) into KPL
                kpl = mpgu * 0.4251
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                cprint("      And your answer is . . . {}" .format(kpl), "magenta")
                print(" ")
                print(" ")
                MPGKPLReloadProgram = input("  Do you want to calculate another distance? Y/n | ").lower()
                if MPGKPLReloadProgram in ReloadYes:
                    clear()
                    cprint("================================[ MPG to KPL ]==================================", "cyan")
                    print(" ")
                    print(" ")
                    cprint("    Hello! This program will convert MPG into KPL, and back again", "yellow")
                    print(" ")
                    print(" ")
                else:
                    MPGKPLProgramRunning = False
                    MPGKPLMainMenu = input("      Do you wish to return to the Main Menu Y/n | ").lower()
                    if MPGKPLMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        cprint("=" * 80, "cyan")
                        print(" ")
                        print(" ")
                        cprint("        Hello! This program contains a variety of random math programs", "yellow")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        cprint("=" * 80, "cyan")
            elif (MPGKPLCountingOpenList == "2"):         # If the user puts a 2
                clear()       # Clear the screen
                # Little bitta TUI formatting
                cprint("================================[ KPL  >> MPGU ]================================", "cyan")
                print(" ")
                cprint("    So now we're gonna change Kilometers per Liter into Miles Per Gallon (Eur).", "yellow")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change KPL into MPG (EUR). In order to do that,
                #    we multiply KPL by 2.825, and that should get us our total. Now, we can't just
                #    be usin' Integers like we were with the user inputs eariler, because the user may want
                #    a precise answer, so this time, we're gonna use Floats.
        
                # User enters their number
                kpl = float(input("  Enter your KPL here < "))
                # Converting KPL to MPG (EUR)
                mpge = kpl * 2.825
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . .{}" .format(mpge))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                MPGKPLReloadProgram = input("  Do you want to calculate another distance? Y/n | ").lower()
                if MPGKPLReloadProgram in ReloadYes:
                    clear()
                    print("================================[ MPG to KPL ]==================================")
                    print(" ")
                    print(" ")
                    print("    Hello! This program will convert MPG into KPL, and back again")
                    print(" ")
                    print(" ")
                else:
                    MPGKPLProgramRunning = False
                    MPGKPLMainMenu = input("      Do you wish to return to the Main Menu Y/n | ").lower()
                    if MPGKPLMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80) 
            elif (MPGKPLCountingOpenList == "3"):         # If the user puts a 3
                clear()       # Clear the screen
                # Little bitta TUI Formatting
                print("================================[ MPGU >> MPGE ]================================")
                print(" ")
                print("    So now we're gonna change Miles per Gallon (US) into Miles Per Gallon (EUR).")
                print(" ")
                print(" ")
                print(" ")
                #  And here's the formula
                #  So how this works, is that we needta change MPG (US) into MPG (Eur). In order to do
                #    that, we multiply KPL by 2.825, and that should get us our total. Now, we can't
                #    just be usin' Integers like we were with the user inputs eariler, because the user
                #    may want a precise answer, so this time, we're gonna use Floats.
        
                # User enters their number here
                mpgu = float(input(" Enter your MPGU here < "))
                # Converting MPG (US) into MPG (EUR)
                mpge = 1.201 * mpgu
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(mpge))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                MPGKPLReloadProgram = input("  Do you want to calculate another distance? Y/n | ").lower()
                if MPGKPLReloadProgram in ReloadYes:
                    clear()
                    print("================================[ MPG to KPL ]==================================")
                    print(" ")
                    print(" ")
                    print("    Hello! This program will convert MPG into KPL, and back again")
                    print(" ")
                    print(" ")
                else:
                    MPGKPLProgramRunning = False
                    MPGKPLMainMenu = input("      Do you wish to return to the Main Menu Y/n | ").lower()
                    if MPGKPLMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
            elif (MPGKPLCountingOpenList == "4"):         # If the user puts a 4
        
                clear()       # This clears the screen
        
                # A little bitta TUI Formatting
                print("================================[ KPL  >> MPGU ]================================")
                print(" ")
                print("    So now we're gonna change Kilometers per Liter into Miles Per Gallon (US).")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change KPL into MPG (US). In order to do
                #    that, we multiply KPL by 2.353, and that should get us our total. Now, we can't
                #    just be usin' Integers like we were with the user inputs eariler, because the user
                #    may want a precise answer, so this time, we're gonna use Floats.
        
                # User enters their number here
                kpl = float(input(" Enter your KPL here < "))
                # Converting KPL into MPG (US)
                mpgu = kpl * 2.353
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(mpgu))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                MPGKPLReloadProgram = input("  Do you want to calculate another distance? Y/n | ").lower()
                if MPGKPLReloadProgram in ReloadYes:
                    clear()
                    print("================================[ MPG to KPL ]==================================")
                    print(" ")
                    print(" ")
                    print("    Hello! This program will convert MPG into KPL, and back again")
                    print(" ")
                    print(" ")
                else:
                    MPGKPLProgramRunning = False
                    MainMenu = input("      Do you wish to return to the Main Menu Y/n | ").lower()
                    if MainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
            elif (MPGKPLCountingOpenList == "5"):         # If the user puts a 5
                clear()       # Clearing the terminal screen
                # Lille bitta TUI Formatting
                print("================================[ MPGE >> KPU  ]================================")
                print(" ")
                print("    So now we're gonna change Miles per Gallon (EUR) into Kilometers per liter.")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change MPG (EUR) to KPL. In order to do
                #    that, we multiply MPG (EUR) by 0.354, and that should get us our total. Now, we
                #    can't just be usin' Integers like we were with the user inputs eariler, because
                #    the user may want a precise answer, so this time, we're gonna use Floats.
        
                # user inputs their number here
                mpge = float(input(" Enter your MPGE here < "))
                # Converting MPG (EUR) into KPL
                kpl = mpge * 0.354
        
                #Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(kpl))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                MPGKPLReloadProgram = input("  Do you want to calculate another distance? Y/n | ").lower()
                if MPGKPLReloadProgram in ReloadYes:
                    clear()
                    print("================================[ MPG to KPL ]==================================")
                    print(" ")
                    print(" ")
                    print("    Hello! This program will convert MPG into KPL, and back again")
                    print(" ")
                    print(" ")
                else:
                    MPGKPLProgramRunning = False
                    MPGKPLMainMenu = input("      Do you wish to return to the Main Menu Y/n | ").lower()
                    if MPGKPLMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80, "cyan")
            elif (MPGKPLCountingOpenList == "6"):         # If the user puts a 6
        
                clear()       # Clear the terminal screen
        
                # Little bitta TUI Formatting
                print("================================[ MPGE >> MPGU  ]===============================")
                print(" ")
                print("    So now we're gonna change Miles per Gallon (EUR) into Miles per Gallon (US).")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change MPG (EUR) to MPG (US). In order to do
                #    that, we multiply MPG (EUR) by 0.833, and that should get us our total. Now, we
                #    can't just be usin' Integers like we were with the user inputs eariler, because
                #    the user may want a precise answer, so this time, we're gonna use Floats.
        
                # User inputs their number here
                mpge = float(input(" Enter your MPGE here < "))
                # Converting MPG (EUR) into MPG (US)
                mpgu = 0.833 * mpge
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(mpgu))
                print(" ")
                print(" ")
                print(" ")
                MPGKPLReloadProgram = input("  Do you want to calculate another distance? Y/n | ").lower()
                if MPGKPLReloadProgram in ReloadYes:
                    clear()
                    print("================================[ MPG to KPL ]==================================")
                    print(" ")
                    print(" ")
                    print("    Hello! This program will convert MPG into KPL, and back again",)
                    print(" ")
                    print(" ")
                else:
                    MPGKPLProgramRunning = False
                    MPGKPLMainMenu = input("      Do you wish to return to the Main Menu Y/n | ").lower()
                    if MPGKPLMainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        ProgramRunning = False
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
            else:                                         # ERROR: If all else fails
        
                clear()      # First, clear the screen
        
                # Little bita TUI here
                print("================================= MPG to KPL ===================================")
                print(" ")
                print("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ",)
                print("     !      You entered a wrong number. Please enter a listed number     !      ",)
                print("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ",)
                print(" ")
    elif (CountingOpenList == "3"):                       # Choice 3   :      F = M * A                  #
        clear()                      # Clear the screen
        cprint("===================================[ v2.2.0 ]===================================", "cyan")
        print(" ")
        print(" ")
        cprint("Hello! This program will help you find the last value in the equation F = M * A ", "yellow")
        print(" ")
        print(" ")
        
        # Desc about the functionality of the program here
        
        FMAProgramRunning = True              # Defining some variables
        FMACountingOpenList = 0

        while (FMAProgramRunning == True):    # While loop
        
            cprint("        --- ----------------------            --- ---------------------- ", "green")
            cprint("       | 0 | Return To Main Menu  |          | 2 | Missing Mass         |", "green")
            cprint("        --- ----------------------            --- ---------------------- ", "green")
            cprint("       | 1 | Missing Force        |          | 3 | Missing Acceleration |", "green")
            cprint("        --- ----------------------            --- ---------------------- ", "green")
            print(" ")
            
            Force = 0   # Setting these to Zero for each reload incase something happens
            Mass = 0    #
            Accel = 0   #
    
            FMACountingOpenList = str(input("                      Enter value | "))   # Awating user feedback; hoping it's 0, 1, 2, or 3

            if (FMACountingOpenList == "0"):        # If the user enters a 0
                clear()
                cprint("=" * 80, "cyan")
                print(" ")
                print(" ")
                cprint("        Hello! This program contains a variety of random math programs", "yellow")
                print(" ")
                print(" ")
                FMAProgramRunning = False
            elif (FMACountingOpenList == "1"):      # If the user enters a 1
                clear()       # Clear that screen
                # TUI Formatting
                print("=" * 80)
                print(" ")
                print(" ")
                print("                            Force = Mass * Acceleration ")
                print(" ")
                print(" ")
                print("  ----------------------------    -----------")
                Mass = float(input(" | Enter Mass                 |  | "))
                print("  ----------------------------    -----------")
                Accel = float(input(" | Enter Acceleration         |  | "))
                print("  ----------------------------    -----------")
        
                Force = Mass * Accel     # Force equals Mass times Acceleration
                print(" ")    # TUI Formatting
                print("    Your answer is. . .       {}" .format(Force))     # Printing the 'Force' for the user to see
                print(" ")
                print(" ")
                print(" ")
                FMAReloadProgram = input("Do you want to calculate another formula? Y/n | ").lower()  #
                if FMAReloadProgram in ReloadYes:
                    clear()
                    print("===================================[        ]===================================")
                    print(" ")
                    print(" ")
                    print("Hello! This program will help you find the last value in the equation F = M * A ")
                    print(" ")
                    print(" ")
                else:
                    FMACountingOpenList = 0
                    FMAProgramRunning = False
                    MainMenu = input(" Do you wish to return to the Main Menu? Y/n | ").lower()
                    if MainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
                        ProgramRunning = False
            elif (FMACountingOpenList == "2"):      # If the user enters a 2
                clear()       # Clear that screen
                # TUI Formatting
                print("================================================================================")
                print(" ")
                print(" ")
                print("                           Mass = Force / Acceleration ")
                print(" ")
                print(" ")
                print("  ----------------------------    -----------")
                Force = float(input(" | Enter Force                |  | "))
                print("  ----------------------------    -----------")
                Accel = float(input(" | Enter Acceleration         |  | "))
                print("  ----------------------------    -----------")
        
                Mass = Force / Accel     # Mass equals Force divided by Acceleration 
                print(" ")    # TUI Formatting
                print("    Your answer is . . .      {}" .format(Mass))    # Printing the'Mass' for the user to see
                print(" ")
                print(" ")
                print(" ")
                FMAReloadProgram = input("Do you want to calculate another formula? Y/n | ").lower()  #
                if FMAReloadProgram in ReloadYes:
                    clear()
                    print("===================================[        ]===================================")
                    print(" ")
                    print(" ")
                    print("Hello! This program will help you find the last value in the equation F = M * A ")
                    print(" ")
                    print(" ")
                else:
                    FMACountingOpenList = 0
                    FMAProgramRunning = False
                    MainMenu = input(" Do you wish to return to the Main Menu? Y/n | ").lower()
                    if MainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
                        ProgramRunning = False
            elif (FMACountingOpenList == "3"):      # If the user enters a 3
                clear()       # Clear that screen
                # TUI Formatting
                print("================================================================================")
                print(" ")
                print(" ")
                print("                           Acceleration = Force \ Mass")
                print(" ")
                print(" ")
                print("  ----------------------------    ---------- ")
                Force = float(input(" | Enter Force                |  | "))
                print("  ----------------------------    ---------- ")
                Mass = float(input(" | Enter Mass                 |  | "))
                print("  ----------------------------    ---------- ")
                Accel = Force / Mass
                print(" ")
                print("The acceleration is {}".format(Accel))
                print(" ")
                print(" ")
                print(" ")
                FMAReloadProgram = input("Do you want to calculate another formula? Y/n | ").lower()  #
                if FMAReloadProgram in ReloadYes:
                    clear()
                    print("===================================[        ]===================================")
                    print(" ")
                    print(" ")
                    print("Hello! This program will help you find the last value in the equation F = M * A ")
                    print(" ")
                    print(" ")
                else:
                    FMACountingOpenList = 0
                    FMAProgramRunning = False
                    MainMenu = input(" Do you wish to return to the Main Menu? Y/n | ").lower()
                    if MainMenu in ReloadYes:
                        clear()                       # Clears the screen
                        print("=" * 80)
                        print(" ")
                        print(" ")
                        print("        Hello! This program contains a variety of random math programs")
                        print(" ")
                        print(" ")
                    else:
                        print(" ")
                        print(" ")
                        print(" ")
                        print(" ")
                        print("=" * 80)
                        ProgramRunning = False
            else:                                   # ERROR: If all else fails
                clear()
                print("================================================================================")
                print(" ")
                print("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ")
                print("           You entered a wrong number.  Please enter a listed number            ")
                print("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ")
                print(" ")
    elif (CountingOpenList == "4"):                       # Choice 4   :      Is it Prime?               #
        def PrimeNub(n):              # Defining "PrimeNub()"
            c = 2                     # Variable 'c' is set to 2
            j = int(n**.5)            # I don't know what the rest does
            while (c <= j):           # This was a copy//paste from like 2 1/2 years ago
                if (n%c == 0):        #
                    return False      #
                c = c + 1             #
                if (c%2000 == 0):     #
                    print(" | "),     #
            return True               #
        
        PrimeNubProgramRunning = True
        clear()

        cprint("=" * 80, "cyan")
        print(" ")
        print(" ")
        cprint("        Hello! This program will tell you weather or not a number is prime ", "yellow")
        print(" ")
        print(" ")

        while (PrimeNubProgramRunning == 1):

            cprint("             ---------------------   -----------", "green")
            Number  = int(input("             | Enter your number |   | "))
            cprint("             ---------------------   -----------", "green")
            Answer = PrimeNub(Number)
            print(" ")
            print(" ")

            if Answer:
                print("            ", Number, "is a prime number")
            else:
                print("            ", Number, "isn't a prime number.")
            print(" ")
            print(" ")
            print(" ")
            PrimeNubReloadProgram = input("      Would you like to enter another number? Y/n | ").lower()
            if PrimeNubReloadProgram in ReloadYes:
                clear()
                print("=" * 80)
                print(" ")
                print(" ")
                print("        Hello! This program will tell you weather or not a number is prime ")
                print(" ")
                print(" ")
            else:
                PrimeNubProgramRunning = False
                MainMenu = input("   Would you like to return to the Main Menu? Y/n | ").lower()
                if MainMenu in ReloadYes:
                    clear()
                    print("=" * 80)
                    print(" ")
                    print(" ")
                    print("        Hello! This program contains a variety of random math programs")
                    print(" ")
                    print(" ")
                else:
                    ProgramRunning = False
                    print(" ")
                    print(" ")
                    print(" ")
                    print(" ")
                    print("=" * 80)
    elif (CountingOpenList == "5"):                       # Choice 5   :      Distance Formula           #
        # Now it's time for a little 'Text User Interface' formatting
        clear()
        cprint("=" * 80, "cyan")
        print(" ")
        print(" ")
        cprint(" Hello! This program will find the distance between two points", "yellow")
        print(" ")
        cprint(" Please enter your values below;", "yellow")
        
        # So here's how the program works:
        # fltx1 (X1) and flty1 (Y1) are the coordinates for Point A
        # fltx2 (X2) and flty2 (Y2) are the coordinates for Point B
        # fltx is fltx1 subtracted from fltx2, and then raised to the second power
        # flty is flty1 subtracted from flty2, and then raised to the second power
        # Then fltx and flty are added together, only to be square rooted
        # And finally, that number is set equal to fltz, which is printed to the user
        # Also, flt is Float, in case you wern't sure
        
        DistanceProgramRunning = True
        
        while (DistanceProgramRunning == 1):
            print(" ")
            cprint("    ------------------------   -----------", "green")
            fltx1 = float(input("    Enter coordinate for X1  |  ")) # User enters a value for fltx1
            cprint("    ------------------------   -----------", "green")
            flty1 = float(input("    Enter coordinate for Y1  |  ")) # User enters a value for flty1
            cprint("    ------------------------   -----------", "green")
            fltx2 = float(input("    Enter coordinate for X2  |  ")) # User enters a value for fltx2
            cprint("    ------------------------   -----------", "green")
            flty2 = float(input("    Enter coordinate for Y2  |  ")) # User enters a value for flty2
            cprint("    ------------------------   -----------", "green")
            print(" ")      # TUI formatting
            
            # fltx2 is subtracted by fltx1, which is sent to the second power.
            #        What's left becomes fltx
            fltx = ((fltx2 - fltx1)**2)
            # flty2 is subtracted by flty1, which is sent to the second power.
            #        What's left becomes flty
            flty = ((flty2 - flty1)**2)
            # fltx is added to flty, and the answer is square rooted, and assigned to fltz
            fltz = math.sqrt(fltx + flty)
            
            # More TUI formatting
            print("    Your answer is . . .             {}".format(fltz))   # Printing the answer here
            
            # Resetting all variables back to Zero, for good practice
            fltx = 0; fltx1 = 0; fltx2 = 0; flty = 0; flty1 = 0; flty2 = 0; fltz = 0;
            #Last bit of TUI
            print(" ")
            # Waits for the user input before finishing the code, and ending the program
            
            
            DistanceReloadProgram = input("Do you want to calculate another formula? Y/n | ").lower()
            if DistanceReloadProgram in ReloadYes:
                clear()
                cprint("==" * 40, "cyan")
                print(" ")
                print(" ")
                cprint(" Hello! This program will find the distance between two points", "yellow")
                print(" ")
                cprint(" Please enter your values below;", "yellow")
            else:
                DistanceProgramRunning = False
                CountingOpenList = 0
                ReloadProgram = input("Do you want to return to the Main Menu? Y/n | ").lower()
                if ReloadProgram in ReloadYes:
                    clear()
                    cprint("====" * 20, "cyan")
                    print(" ")
                    print(" ")
                    cprint("        Hello! This program contains a variety of random math programs", "yellow")
                    print(" ")
                    print(" ")
                else:
                    ProgramRunning = False
                    print(" ")
                    print(" ")
                    print(" ")
                    print(" ")
                    cprint("========" * 10, "cyan")
    elif (CountingOpenList == "6"):                       # Choice 6   :      QUADFORM                   #
        QuadformProgramRunning = True
        clear()
        cprint("========" * 10, "cyan")
        while (QuadformProgramRunning == True):
            print(" ")
            cprint("        --------   --------------------", "green")
            a = int(input("       | Value A | "))
            b = int(input("       | Value B | "))
            c = int(input("       | Value C | "))
            cprint("        --------   --------------------", "green")
            DDD = 4 * a * c
            print("       4 times ", a, " times ", c, " equals ", DDD)
            EEE = 2 * a
            print("       2 times ", a, " equals ", EEE)
            FFF = b**2
            print("      ", b, " squared equals ", FFF)
            GGG = math.sqrt(FFF - DDD)
            print(" ")
            HHH = -b + GGG
            print("       -", b, " plus ", GGG, " equals ", HHH)
            JJJ = -b - GGG
            print("       -", b, " minus ", GGG, " equals ", JJJ)
            print(" ")
            cprint("       ----------------------------------------", "green")
            III = HHH / EEE
            print("       ", HHH, " divided by ", EEE, " equals ", III)
            LLL = JJJ / EEE
            print("       ", JJJ, " divided by ", EEE, " equals ", LLL)
            cprint("       ----------------------------------------", "green")
            print(" ")
            QuadformReloadProgram = input("  Do you want to calculate another formula?   Y/n | ").lower()
            if QuadformReloadProgram in ReloadYes:
                clear()
                cprint("========" * 10, "cyan")
            else:
                QuadformProgramRunning = False
                CountingOpenList = 0
                ReloadProgram = input("  Do you want to return to the Main Menu?     Y/n | ").lower()
                if ReloadProgram in ReloadYes:
                    clear()
                    cprint("==========" * 8, "cyan")
                    print(" ")
                    print(" ")
                    cprint("        Hello! This program contains a variety of random math programs", "yellow")
                    print(" ")
                    print(" ")
                else:
                    print("=" * 80)
                    ProgramRunning = False
    elif (CountingOpenList == "7"):                       # Choice 7   :      Midpoint Formula           #
        
        MidpointProgramRunning = True
        clear()
        cprint("=====================================[ v1.1 ]===================================", "cyan")
        print(" ")
        cprint(" Hello! This program will help you find the midpoint between two points", "yellow")
        print(" ")
        cprint(" Please enter your values;", "yellow")
        print(" ")

        while (MidpointProgramRunning == 1):

            # So here's how this program functions;
            # First, this program's gotta find the middle point of two other points, which are 
            #    (X1, Y1) and (X2, Y2). So it asks the user for those 4 points, and puts them
            #    into the formula.
            # The formula then takes X1 and X2, adds them together, and divides that to get X.
            # It does the same thing for Y1 and Y2, getting Y.
            # And there you go! You've got the values, all that needs to be done now is to throw
            #    them out to the user, so they get their answer.

            cprint("    -------------------------  -----", "green")
            fltx1 = float(input("    Enter coordinates for X1:  "))  # User enters value for X1
            cprint("    -------------------------  -----", "green")
            flty1 = float(input("    Enter coordinates for Y1:  "))  # User enters value for Y1
            cprint("    -------------------------  -----", "green")
            fltx2 = float(input("    Enter coordinates for X2:  "))  # User enters value for X2
            cprint("    -------------------------  -----", "green")
            flty2 = float(input("    Enter coordinates for Y2:  "))  # User enters value for Y2
            cprint("    -------------------------  -----", "green")
            print(" ")

            # Formula timee
            # So fltx1 and fltx2 are added together, and then divided by 2 to get fltx
            fltx = (fltx1 + fltx2) / 2
            # Same thing here. flty1 and flty2 are added, then divided for flty
            flty = (flty1 + flty2) / 2

            # Time to wrap this code up

            # Some TUI formatting
            print(" ")
            # Printing both fltx and flty to the screen for the user to view
            print("    Your answer is . . .             ", fltx, ", ", flty)
            print(" ")
            MidpointReloadProgram = input("  Would you like to enter another number? Y/n   | ").lower()
            if MidpointReloadProgram in ReloadYes:
                clear()
                cprint( "=" * 80, "cyan")
                print(" ")
                cprint(" Hello! This program will help you find the midpoint between two points", "yellow")
                print(" ")
                cprint(" Please enter your values;", "yellow")
                print(" ")
            else:
                MidpointProgramRunning = False
                # Setting all values to 0, for memory purposes
                fltx = 0; fltx1 = 0; fltx2 = 0; flty = 0; flty1 = 0; flty2 = 0
                ReloadProgram = input(" Would you like to return to the Main Menu? Y/n | ").lower()
                if ReloadProgram in ReloadYes:
                    clear()
                    cprint("==========" * 8, "cyan")
                    print(" ")
                    print(" ")
                    cprint("        Hello! This program contains a variety of random math programs", "yellow")
                    print(" ")
                    print(" ")
                else:
                    ProgramRunning = False
                    print(" ")
                    cprint("=" * 80, "cyan")
    elif (CountingOpenList == "8"):                       # Choice 8   :      Slope                      #
        clear()
        cprint("====================================== v1.3  ====================================", "cyan")
        print(" ")
        print(" ")
        cprint("          Hello! This program will help you find the slope of any line", "yellow")
        print(" ")
        
        SlopeProgramRunning = True
        
        while (SlopeProgramRunning == 1):	
        
            # X is X1 subtracted from X2 #
            # Y is Y1 subtracted from Y2 #
            # X1 and Y1 are the coordinates of the first point  #
            # X2 and Y2 are the coordinates of the second point #
            # M1 is the final answer #
            
            cprint("                      ------------------  -----------", "green")
            X1 = float(input("                      | Enter value X1 |  |  "))
            cprint("                      ------------------  -----------", "green")
            Y1 = float(input("                      | Enter value Y1 |  |  "))
            cprint("                      ------------------  -----------", "green")
            X2 = float(input("                      | Enter value X2 |  |  "))
            cprint("                      ------------------  -----------", "green")
            Y2 = float(input("                      | Enter value Y2 |  |  "))
            cprint("                      ------------------  -----------", "green")
            # Formula #
            X = X2 - X1
            Y = Y2 - Y1
            M1 = Y / X
            print(" ")
            print("           The slope of the given line is ", M1)
            print(" ")
            print(" ")
            SlopeReloadProgram = input("    Would you like to calculate another line?    Y/n | ")
            if SlopeReloadProgram in ReloadYes:
                clear()
                cprint("=" * 80, "cyan")
                print(" ")
                print(" ")
                cprint("          Hello! This program will help you find the slope of any line", "yellow")
                print(" ")
            else:
                SlopeProgramRunning = False
                ReloadProgram = input("   Would you like to return to the Main Menu?   Y/n | ").lower()
                if ReloadProgram in ReloadYes:
                    clear()
                    cprint("=" * 80, "cyan")
                    print(" ")
                    print(" ")
                    cprint("          Hello! This program contains a variety of random math programs", "yellow")
                    print(" ")
                    print(" ")
                else:
                    ProgramRunning = False
                    print(" ")
                    print(" ")
                    cprint("=" * 80, "cyan")
    elif (CountingOpenList == ""):                        # Choice ""  :      Nothing                    #
        clear()
        cprint("=" * 80, "cyan")
        print(" ")
        cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
        cprint("     !       You entered NOTHING. Please enter a listed number           !      ", "red")
        cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
        print(" ")
    else:                                                 # Choice ""  :      If all else fails          #
        clear()
        cprint("=" * 80, "cyan")
        print(" ")
        cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
        cprint("     !      You entered a wrong choice. Please enter a listed value      !      ", "red")
        cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
        print(" ")


















